<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:th="http://thymeleaf.org"
      xmlns:b="http://bootsfaces.net/ui">
    

	


	<h:body>
	

	<ui:composition template="/arche/arche.xhtml"> <!-- modifier par /adminPage.xhtml pour avoir l'arche admin -->
	<ui:define name="content" >
<div class="centrePage" align="center">


	<h1>Creation d'un article</h1>
	
	<h:form action="#" th:acion="@{/createArticle}" th:object="{article}" method="post">
		<label for="nom">Nom : </label>
		<input type="text" th:field="*{nom}" id="nom" placeholder="Nom de l'article"></input>
		<span th:if="${#fields.hasErrors('nom')}" th:errors="*{nom}"></span><br/>
		
		<label for="description">Description : </label>
		<input type="text" th:field="*{description}" id="description" placeholder="Description"></input>
		<span th:if="${#fields.hasErrors('description')}" th:errors="*{description}"></span><br/>
		
		<label for="nomImage">Image : </label>
		<input type="text" th:field="*{nomImage}" id="nomImage" placeholder="Nom de l'image"></input>
		<span th:if="${#fields.hasErrors('nomImage')}" th:errors="*{nomImage}"></span><br/>
		
		<label for="prix">Prix : </label>
		<input type="text" th:field="*{prix}" id="prix" placeholder="Prix"></input>
		<span th:if="${#fields.hasErrors('prix')}" th:errors="*{prix}"></span><br/>
		
		<label for="sousCategorie_id">Sous Categorie Id : </label>
		<input type="sousCategorie_id" th:field="*{sousCategorie_id}" id="sousCategorie_id" placeholder="sousCategorie_id"></input>
		<span th:if="${#fields.hasErrors('sousCategorie_id')}" th:errors="*{sousCategorie_id}"></span><br/>
		
		
		<br/><br/>
		<input type="submit" value="Create Article"></input>
	</h:form>

</div>
</ui:define>
</ui:composition>

</h:body>
</html>